import { LayerBuilder } from './layer-builder';
export declare class StructTreeLayerBuilder extends LayerBuilder {
    private promise?;
    private treeDom?;
    private treePromise?;
    private elementAttributes;
    private elementsToAddToTextLayer?;
    finish(): void;
    get rawDims(): {
        pageHeight: number;
        pageX: number;
        pageY: number;
    };
    canRegister(): boolean;
    canKeep(_keep?: boolean): boolean;
    protected build(): Promise<void>;
    private resolveTreeDom;
    getAriaAttributes(annotationId: string): Promise<Map<string, string> | null | undefined>;
    hide(): void;
    show(): void;
    private setAttributes;
    private addImageInTextLayer;
    addElementsToTextLayer(): void;
    private walk;
}
